com.here.msdkui.guidance

## Class GuidanceSpeedData

- java.lang.Object
- - com.here.msdkui.guidance.GuidanceSpeedData

- All Implemented Interfaces:
    android.os.Parcelable

      public class GuidanceSpeedData
      extends java.lang.Object
      implements android.os.Parcelable

  A data class holding current speed and applicable speed limit.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.ClassLoaderCreator<T>, android.os.Parcelable.Creator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.os.Parcelable.Creator<GuidanceSpeedData>` | `CREATOR`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `GuidanceSpeedData(java.lang.Double speed, java.lang.Double speedLimit)` Constructs a new instance using current speed and color values.
    `protected` | `GuidanceSpeedData(android.os.Parcel in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `describeContents()`
    `boolean` | `equals(java.lang.Object var1)`
    `java.lang.Double` | `getCurrentSpeed()` Gets current speed.
    `java.lang.Double` | `getCurrentSpeedLimit()` Gets current speed limit.
    `int` | `hashCode()`
    `boolean` | `isSpeeding()` Determines if current speed exceeds current speed limit.
    `boolean` | `isValid()` Checks if internal state is correct.
    `java.lang.String` | `toString()`
    `void` | `writeToParcel(android.os.Parcel dest, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final android.os.Parcelable.Creator<GuidanceSpeedData> CREATOR

  - ### Constructor Detail

    - #### GuidanceSpeedData

          public GuidanceSpeedData(java.lang.Double speed,
                                   java.lang.Double speedLimit)

      Constructs a new instance using current speed and color values.
      Parameters:
        `speed` - a current speed value in meter per second.
        `speedLimit` - a current speed limit value in meter per second.

    - #### GuidanceSpeedData

          protected GuidanceSpeedData(android.os.Parcel in)

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel(android.os.Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `android.os.Parcelable`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `android.os.Parcelable`

    - #### getCurrentSpeed

          public java.lang.Double getCurrentSpeed()

      Gets current speed.
      Returns:
        a speed value in meter per second.

    - #### getCurrentSpeedLimit

          public java.lang.Double getCurrentSpeedLimit()

      Gets current speed limit.
      Returns:
        a speed limit value in meter per second.

    - #### isSpeeding

          public boolean isSpeeding()

      Determines if current speed exceeds current speed limit.
      Returns:
        true if driving faster than allowed.

    - #### isValid

          public boolean isValid()

      Checks if internal state is correct.
      Returns:
        true if object holds correct data, false otherwise.

    - #### toString

          @NonNull
          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object var1)

      Overrides:
        `equals` in class `java.lang.Object`